about summary refs log tree commit diff
path: root/tools
diff options
context:
space:
mode:
authorJeremy Bicha <jeremy.bicha@canonical.com>2022-02-22 16:55:11 -0500
committerJeremy Bicha <jeremy.bicha@canonical.com>2022-02-22 17:04:04 -0500
commit9bb70a1702d95481541916bd29903a8d75251831 (patch)
tree5af847e78e5836ffd841714b541636729675d6a6 /tools
parent2ddef01c8fe66feabcd5a33b904ff3a5deb89652 (diff)
parent6dff5938b0e45d461d0351da304a68916f2e9a2b (diff)
Merge tag 'debian/1.35.92-1' into ubuntu/master
network-manager Debian release 1.35.92-1
Diffstat (limited to 'tools')
-rwxr-xr-xtools/run-nm-test.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/run-nm-test.sh b/tools/run-nm-test.sh
index 59a48933..c88a1bd5 100755
--- a/tools/run-nm-test.sh
+++ b/tools/run-nm-test.sh
@@ -302,8 +302,8 @@ if ! _is_true "$NMTST_USE_VALGRIND" 0; then
     export NM_TEST_UNDER_VALGRIND=0
     "${NMTST_DBUS_RUN_SESSION[@]}" "$TEST" "${TEST_ARGV[@]}"
     r=$?
-    [ $r == 0 ] || die "exec \"$TEST\" failed with exit code $r"
-    exit 0
+    [ $r == 0 -o $r == 77 ] || die "exec \"$TEST\" failed with exit code $r"
+    exit $r
 fi
 
 if [[ -z "${NMTST_VALGRIND}" ]]; then